package com.link.core.cache;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.METHOD})
@Inherited
@Documented
public @interface LinkCache {
   String expire();

   OpType opType() default OpType.NO_CACHE;

   String condition() default "";

   CacheType type() default CacheType.PRIVATE;
}
